<!DOCTYPE html>
<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>Course 365 v1.5</title>

    <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css"
    />

    <!-- Các file css và js tự định nghĩa thêm -->
    <link rel="stylesheet" href="style.css" />
    <script src="script.js"></script>

    <!-- Google font -->
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Roboto&display=swap"
      rel="stylesheet"
    />
  </head>
  <body>
    <!-- 1. Header - Navbar menu -->
    <nav class="navbar navbar-expand-lg navbar-light">
      <img src="images/Ionic_logo.png" style="width: 96px; height: 33px;" />
      <button
        class="navbar-toggler"
        type="button"
        data-toggle="collapse"
        data-target="#navbarScroll"
        aria-controls="navbarScroll"
        aria-expanded="false"
        aria-label="Toggle navigation"
      >
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarScroll">
        <ul
          class="navbar-nav mr-auto my-2 my-lg-0 navbar-nav-scroll"
          style="max-height: 100px;"
        >
          <li class="nav-item active">
            <a class="nav-link" href="#"
              >Home <span class="sr-only">(current)</span></a
            >
          </li>
          <li class="nav-item dropdown">
            <a
              class="nav-link dropdown-toggle"
              href="#"
              role="button"
              data-toggle="dropdown"
              aria-expanded="false"
            >
              Browse courses
            </a>
            <ul class="dropdown-menu">
              <li><a class="dropdown-item" href="#">Web Development</a></li>
              <li><a class="dropdown-item" href="#">Mobile App</a></li>
              <li><a class="dropdown-item" href="#">Desktop App</a></li>
            </ul>
          </li>

          <li class="nav-item dropdown">
            <a
              class="nav-link dropdown-toggle"
              href="#"
              role="button"
              data-toggle="dropdown"
              aria-expanded="false"
            >
              About Us
            </a>
            <ul class="dropdown-menu">
              <li><a class="dropdown-item" href="#">Vision & Mission</a></li>
              <li><a class="dropdown-item" href="#">Team</a></li>
              <li><a class="dropdown-item" href="#">Contact Us</a></li>
            </ul>
          </li>
        </ul>
        <form class="d-flex">
          <input
            class="form-control mr-2 input-background"
            type="search"
            placeholder="Search Courses"
            aria-label="Search"
          />
          <button class="btn btn-outline-info" type="submit">Search</button>
        </form>
      </div>
    </nav>

    <!-- 2. Slide body -->
    <div class="row" style="background-color: #17a2b8;">
      <div
        class="col-lg-6 p-0"
        style="display: flex; justify-content: end; align-items: center;"
      >
        <div style="width: 30rem;">
          <div class="tittle">Welcome to Ionic Course365 Learning Center</div>
          <div class="des">
            Ionic Course365 is an online learning and teaching marketplace with
            over 5000 courses and 1 million students. Instructor and expertly
            crafted courses, designed for the modern students and entrepreneur.
          </div>
          <div>
            <button class="button1">Browse Courses</button>
            <button class="button2">Become an Instructor</button>
          </div>
        </div>
      </div>

      <div class="col-lg-6 px-5">
        <img src="images/ionic-207965.png" style="height: 100%;" />
      </div>
    </div>

    <!-- 3. Courses content -->
    <div class="container my-5">
      <div class="recommended">
        <div class="recom-tittle mb-4">Recommended to you</div>
        <div class="row">
          <div class="col-md-3">
            <div class="card">
              <img
                src="images/courses/course-angular.jpg"
                class="card-img-top"
                alt="..."
              />
              <div class="card-body">
                <h5 class="course-name">
                  How to easily create a website with Angular
                </h5>
                <div style="display: flex; margin-bottom: 0.8rem;">
                  <div class="mr-4">
                    <i class="far fa-clock"></i>
                    <span class="level">3h56m</span>
                  </div>
                  <div class="level">Beginner</div>
                </div>
                <div>
                  <span class="discount-price">$600 </span>
                  <span class="price">$750</span>
                </div>
              </div>
              <div
                class="card-body my-card"
                style="border-top: 0.8px solid rgba(0, 0, 0, 0.13);"
              >
                <div style="display: flex; align-items: center;">
                  <img
                    src="images/teacher/morris_mccoy.jpg"
                    style="width: 35px; height: 35px; border-radius: 100%;"
                  />
                  <div class="teacher-name ml-3">Morris Mccoy</div>
                </div>
                <i
                  class="far fa-bookmark"
                  style="color: #6c757d; width: 12px; height: 16px;"
                ></i>
              </div>
            </div>
          </div>

          <div class="col-md-3">
            <div class="card">
              <img
                src="images/courses/course-python.jpg"
                class="card-img-top"
                alt="..."
              />
              <div class="card-body">
                <h5 class="course-name">
                  The Python Course: build web application
                </h5>
                <div style="display: flex; margin-bottom: 0.8rem;">
                  <div class="mr-4">
                    <i class="far fa-clock"></i>
                    <span class="level">4h30m</span>
                  </div>
                  <div class="level">Advanced</div>
                </div>
                <div>
                  <span class="discount-price">$900 </span>
                  <span class="price">$1050</span>
                </div>
              </div>
              <div
                class="card-body my-card"
                style="border-top: 0.8px solid rgba(0, 0, 0, 0.13);"
              >
                <div style="display: flex; align-items: center;">
                  <img
                    src="images/teacher/claire_robertson.jpg"
                    style="width: 35px; height: 35px; border-radius: 100%;"
                  />
                  <div class="teacher-name ml-3">Claire Robertson</div>
                </div>
                <i
                  class="far fa-bookmark"
                  style="color: #6c757d; width: 12px; height: 16px;"
                ></i>
              </div>
            </div>
          </div>

          <div class="col-md-3">
            <div class="card">
              <img
                src="images/courses/course-graphql.jpg"
                class="card-img-top"
                alt="..."
              />
              <div class="card-body">
                <h5 class="course-name">
                  GraphQL: introduction to graphQL for beginners
                </h5>
                <div style="display: flex; margin-bottom: 0.8rem;">
                  <div class="mr-4">
                    <i class="far fa-clock"></i>
                    <span class="level">2h15m</span>
                  </div>
                  <div class="level">Intermediate</div>
                </div>
                <div>
                  <span class="discount-price">$650 </span>
                  <span class="price">$850</span>
                </div>
              </div>
              <div
                class="card-body my-card"
                style="border-top: 0.8px solid rgba(0, 0, 0, 0.13);"
              >
                <div style="display: flex; align-items: center;">
                  <img
                    src="images/teacher/ted_hawkins.jpg"
                    style="width: 35px; height: 35px; border-radius: 100%;"
                  />
                  <div class="teacher-name ml-3">Ted Hawkins</div>
                </div>
                <i
                  class="far fa-bookmark"
                  style="color: #6c757d; width: 12px; height: 16px;"
                ></i>
              </div>
            </div>
          </div>

          <div class="col-md-3">
            <div class="card">
              <img
                src="images/courses/course-javascript.jpg"
                class="card-img-top"
                alt="..."
              />
              <div class="card-body">
                <h5 class="course-name">Getting Started with JavaScript</h5>
                <div style="display: flex; margin-bottom: 0.8rem;">
                  <div class="mr-4">
                    <i class="far fa-clock"></i>
                    <span class="level">3h34m</span>
                  </div>
                  <div class="level">Beginner</div>
                </div>
                <div>
                  <span class="discount-price">$300 </span>
                  <span class="price">$550</span>
                </div>
              </div>
              <div
                class="card-body my-card"
                style="border-top: 0.8px solid rgba(0, 0, 0, 0.13);"
              >
                <div style="display: flex; align-items: center;">
                  <img
                    src="images/teacher/ted_hawkins.jpg"
                    style="width: 35px; height: 35px; border-radius: 100%;"
                  />
                  <div class="teacher-name ml-3">Ted Hawkins</div>
                </div>
                <i
                  class="far fa-bookmark"
                  style="color: #6c757d; width: 12px; height: 16px;"
                ></i>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="most-pop" style="margin-top: 4rem; margin-bottom: 4rem;">
        <div class="recom-tittle mb-4">Most Popular</div>
        <div class="row" id="course-popular-container"></div>
      </div>

      <div class="trending">
        <div class="recom-tittle mb-4">Trending</div>
        <div class="row" id="course-trending-container"></div>
      </div>

      <div class="trending" style="margin-top: 4rem;">
        <div class="recom-tittle mb-4">My course</div>
        <div class="row" id="my-course-container"></div>
      </div>
    </div>

    <!-- 4. Footer -->
    <div class="container py-4">
      <div class="row">
        <div class="col-md-7 copyright">
          © 2021 Ionic Course365. All Rights Reserved.
        </div>
        <div class="col-md-5 text-right" style="padding-right: 2rem;">
          <span class="footer-menu">Privacy</span>
          <span class="footer-menu">Terms</span>
          <span class="footer-menu">Feedback</span>
          <span class="footer-menu">Support</span>
        </div>
      </div>
    </div>
  </body>
</html>

<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  var gBASE_URL = "https://630890e4722029d9ddd245bc.mockapi.io/api/v1";
  var gCourseList = [];
  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
  onPageLoading();
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  //hàm thực thi khi tải trang
  function onPageLoading() {
    getCourseList();
    hienThiCoursePopular();
    hienThiCourseTrending();
    hienThiMyCourse();
  }
  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  //hàm gọi api lấy tất cả course
  function getCourseList() {
    $.ajax({
      url: gBASE_URL + "/courses",
      type: "GET",
      async: false,
      success: function (res) {
        console.log(res);
        gCourseList = res;
      },
      error: function (ajaxContext) {
        alert(ajaxContext.responseText);
      },
    });
  }

  //hiển thị course Popular
  function hienThiCoursePopular() {
    var vPopularCourseList = gCourseList.filter(filterPopularCourses);
    console.log(vPopularCourseList);

    $("#course-popular-container").html("");
    for (var bI = 0; bI < 4; bI++) {
      var bOject = vPopularCourseList[bI];
      var bHtml = `
        <div class="col-md-3">
          <div class="card">
            <img
              src="${bOject.coverImage}"
              class="card-img-top"
              alt="..."
            />
            <div class="card-body">
              <h5 class="course-name">
                ${bOject.courseName}
              </h5>
              <div style="display: flex; margin-bottom: 0.8rem;">
                <div class="mr-4">
                  <i class="far fa-clock"></i>
                  <span class="level" style="font-size: 13px; font-weight: bold;">${bOject.duration}</span>
                </div>
                <div class="level">${bOject.level}</div>
              </div>
              <div>
                <span class="discount-price">$${bOject.discountPrice} </span>
                <span class="price">$${bOject.price}</span>
              </div>
            </div>
            <div
              class="card-body my-card"
              style="border-top: 0.8px solid rgba(0, 0, 0, 0.13);"
            >
              <div style="display: flex; align-items: center;">
                <img
                  src="${bOject.teacherPhoto}"
                  style="width: 35px; height: 35px; border-radius: 100%;"
                />
                <div class="teacher-name ml-3">${bOject.teacherName}</div>
              </div>
              <i
                class="far fa-bookmark"
                style="color: #6c757d; width: 12px; height: 16px;"
              ></i>
            </div>
          </div>
        </div>
      `;
      $("#course-popular-container").append(bHtml);
    }
  }

  //hàm lọc các course popular
  function filterPopularCourses(paramCourseObj) {
    return paramCourseObj.isPopular == true;
  }

  //hiển thị course Trending
  function hienThiCourseTrending() {
    var vTrendingCourseList = gCourseList.filter(filterTrendingCourses);
    console.log(vTrendingCourseList);

    $("#course-trending-container").html("");
    for (var bI = 0; bI < 4; bI++) {
      var bOject = vTrendingCourseList[bI];
      var bHtml = `
        <div class="col-md-3">
          <div class="card">
            <img
              src="${bOject.coverImage}"
              class="card-img-top"
              alt="..."
            />
            <div class="card-body">
              <h5 class="course-name">
                ${bOject.courseName}
              </h5>
              <div style="display: flex; margin-bottom: 0.8rem;">
                <div class="mr-4">
                  <i class="far fa-clock"></i>
                  <span class="level" style="font-size: 13px; font-weight: bold;">${bOject.duration}</span>
                </div>
                <div class="level">${bOject.level}</div>
              </div>
              <div>
                <span class="discount-price">$${bOject.discountPrice} </span>
                <span class="price">$${bOject.price}</span>
              </div>
            </div>
            <div
              class="card-body my-card"
              style="border-top: 0.8px solid rgba(0, 0, 0, 0.13);"
            >
              <div style="display: flex; align-items: center;">
                <img
                  src="${bOject.teacherPhoto}"
                  style="width: 35px; height: 35px; border-radius: 100%;"
                />
                <div class="teacher-name ml-3">${bOject.teacherName}</div>
              </div>
              <i
                class="far fa-bookmark"
                style="color: #6c757d; width: 12px; height: 16px;"
              ></i>
            </div>
          </div>
        </div>
      `;
      $("#course-trending-container").append(bHtml);
    }
  }

  //hàm lọc các course popular
  function filterTrendingCourses(paramCourseObj) {
    return paramCourseObj.isTrending == true;
  }

  //hiển thị my course từ api tự tạo
  function hienThiMyCourse() {
    var vCourseList = [];

    $.ajax({
      url: "http://localhost:8000/api/v1/courses",
      type: "GET",
      async: false,
      success: function (res) {
        console.log(res);
        vCourseList = res.data;
      },
      error: function (ajaxContext) {
        alert(ajaxContext.responseText);
      },
    });

    $("#my-course-container").html("");
    for (var bI = 0; bI < 4; bI++) {
      var bOject = vCourseList[bI];
      var bHtml = `
        <div class="col-md-3">
          <div class="card">
            <div class="card-body">
              <h5 class="course-name">
                ${bOject.title}
              </h5>
              <p>${bOject.description}</p>
              <p>Student: ${bOject.noStudent}</p>
            </div>
          </div>
        </div>
      `;
      $("#my-course-container").append(bHtml);
    }
  }
</script>
